<!DOCTYPE html>
<html lang="sv">
    <head>
        <meta charset="utf-8">
        <title></title>
        <link rel="stylesheet" href="">
    </head>
    <body>
        <canvas style="border: 1px solid blue;" width="1000" height="600" id="duk"></canvas>

        <script>
            // Deklarera och tilldelar variabler för canvas
            var c = document.getElementById("duk");
            var ctx = c.getContext("2d");

            // Måla på canvas
            ctx.fillStyle = "#ff0606";
            ctx.fillRect(10, 10, 100, 20);
            ctx.fillStyle = "blue";
            ctx.fillRect(900, 10, 20,100);
            ctx.fillStyle = "yellow"
            ctx.fillRect(800, 400, 100, 100);
            ctx.fillStyle = "green";
            ctx.fillRect(10, 500, 20, 20);

            // Rita ett streck/polygon
            ctx.beginPath();
            ctx.moveTo(0, 0);
            ctx.lineTo(1000, 200);
            ctx.lineTo(800, 200);
            ctx.lineTo(800, 300);
            ctx.lineTo(600, 400);
            ctx.strokeStyle = "rgba(255, 0, 0, 0.7)";
            ctx.lineWidth = 10;
            ctx.lineCap = "round";
            ctx.stroke();

            // Rita
            ctx.beginPath();
            ctx.arc(500, 300, 200, 0, 6.28);
            ctx.stroke();
            ctx.beginPath();
            ctx.arc(500, 300, 100, 0, 6.28);
            ctx.stroke();
            ctx.beginPath();
            ctx.arc(500, 300, 50, 0, 6.28);
            ctx.strokeStyle = "pink";
            ctx.stroke();
            ctx.fill();
        </script>
    </body>
</html>
